summaryrefslogtreecommitdiffstats
path: root/python/python3-langcodes
diff options
context:
space:
mode:
author Vijay Marcel <vijaymarcel@outlook.com>2023-09-23 10:11:04 +0900
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2023-09-23 11:33:36 +0700
commitfb7bd50313a975be087c274823aafa3ef895f20b (patch)
treedb4d89d7e7f909321d74a5f3b61e407fdf6dcbb5 /python/python3-langcodes
parent1dfd1fdd29efeedb38355958c66d2b1b13eb4120 (diff)
downloadslackbuilds-fb7bd50313a975be087c274823aafa3ef895f20b.tar.gz
slackbuilds-fb7bd50313a975be087c274823aafa3ef895f20b.tar.xz
python/python3-langcodes: Added (library for language codes).
Signed-off-by: Andrew Clemons <andrew.clemons@gmail.com> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'python/python3-langcodes')
-rw-r--r--python/python3-langcodes/README7
-rw-r--r--python/python3-langcodes/python3-langcodes.SlackBuild99
-rw-r--r--python/python3-langcodes/python3-langcodes.info10
-rw-r--r--python/python3-langcodes/slack-desc19
4 files changed, 135 insertions, 0 deletions
diff --git a/python/python3-langcodes/README b/python/python3-langcodes/README
new file mode 100644
index 0000000000..611925ab84
--- /dev/null
+++ b/python/python3-langcodes/README
@@ -0,0 +1,7 @@
+langcodes knows what languages are. It knows the standardized
+codes that refer to them such as en for english es for spanish
+and hi for hindi. These are IETF language tags which supports
+language variations that you will not find it in ISO standard.
+langcodes implements the IETF standards and Unicode Technical
+reports.
+
diff --git a/python/python3-langcodes/python3-langcodes.SlackBuild b/python/python3-langcodes/python3-langcodes.SlackBuild
new file mode 100644
index 0000000000..fe2c4fc25f
--- /dev/null
+++ b/python/python3-langcodes/python3-langcodes.SlackBuild
@@ -0,0 +1,99 @@
+#!/bin/bash
+
+# Slackware build script for python3-langcodes
+
+# Copyright 2023 Vijay Marcel
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=python3-langcodes
+VERSION=${VERSION:-3.3.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+SRCNAM=${SRCNAM:-langcodes}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-march=i586 -mtune=i686 -pipe -O2 -fPIC"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-march=i686 -mtune=i686 -pipe -O2 -fPIC"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-march=x86-64 -mtune=native -pipe -O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "aarch64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+trap 'echo "$0 FAILED at line $LINENO!" | tee -a $OUTPUT/error-${PRGNAM}.log' ERR
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+python3 -m build --wheel --no-isolation
+python3 -m installer --destdir "$PKG" dist/*.whl
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE.txt README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 0644 {} \+
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/python/python3-langcodes/python3-langcodes.info b/python/python3-langcodes/python3-langcodes.info
new file mode 100644
index 0000000000..bb4a5ac869
--- /dev/null
+++ b/python/python3-langcodes/python3-langcodes.info
@@ -0,0 +1,10 @@
+PRGNAM="python3-langcodes"
+VERSION="3.3.0"
+HOMEPAGE="https://github.com/rspeer/langcodes"
+DOWNLOAD="https://pypi.io/packages/source/l/langcodes/langcodes-3.3.0.tar.gz"
+MD5SUM="c257046ae26f6af4097a14d7612fc8f3"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="python3-language-data"
+MAINTAINER="Vijay Marcel"
+EMAIL="vijaymarcel@outlook.com"
diff --git a/python/python3-langcodes/slack-desc b/python/python3-langcodes/slack-desc
new file mode 100644
index 0000000000..c02b6f50d1
--- /dev/null
+++ b/python/python3-langcodes/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+python3-langcodes: python3-langcodes (A Library for Language Codes)
+python3-langcodes:
+python3-langcodes: langcodes knows what languages are. It knows the standardized
+python3-langcodes: codes that refer to them such as en for english es for spanish
+python3-langcodes: and hi for hindi. These are IETF language tags which supports
+python3-langcodes: language variations that you will not find it in ISO standard.
+python3-langcodes: langcodes implements the IETF standards and Unicode Technical
+python3-langcodes: reports.
+python3-langcodes:
+python3-langcodes: Homepage:https://github.com/rspeer/langcodes
+python3-langcodes: